/* Include file for dates.c  Handles the format of dates with various
   conversions, etc.
   Released to the Public Domain for any purpose on 11 Mar 1989
   Gerry Rohr.
*/
#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif
typedef long DATE;		  /* the date type */
#define NO_DATE 0L		  /* undefined date */
#define DATE_TEMP "  /  /    "    /* date template */
typedef struct juldate            /* Julian date structure */
{
   int yr;
   int day;
}JULDATE;

/* date prototypes */
char *dtoa(DATE in_date); /* returns string date format (MM/DD/YYYY) */
int day(DATE in_date);    /* returns the day portion of a DATE */
int month(DATE in_date);  /* returns the month portion of a DATE */
int year(DATE in_date,int cf);   /* returns the year portion of a DATE */
DATE jul_to_greg(JULDATE *jdt); /* convert Julian date to Gregorian */
void greg_to_jul(DATE in_date,JULDATE *jdt); /* Gregorian to Julian */
void prev_day(DATE *dt);   /* Subtracts one from DATE variable */
void next_day(DATE *dt);   /* Adds one to DATE variable */
int valid_date(DATE dt);  /* checks if date is valid */
char *month_name(int mon);  /* returns char pointer to month name */
char *day_name(DATE in_date);  /* returns char pointer to day of week name */
int zeller(DATE dt);   /* Gets day of week ( 0-6) from date */
char *jul_dt_st(JULDATE *jdt); /* returns char pointer to Julian date string */
char *full_date_st(DATE in_date); /* returns char pointer to full date string */

